/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* Any JavaScript here will be loaded for all users on every page load. */


 /** "Technical restrictions" title fix *****************************************
  *
  *  Description:
  *  Maintainers: [[:en:User:Interiot]], [[:en:User:Mets501]]
  */
 
 // For pages that have something like Template:Lowercase, replace the title, but only if it is cut-and-pasteable as a valid wikilink.
 //	(for instance [[iPod]]'s title is updated.  <nowiki>But [[C#]] is not an equivalent wikilink, so [[C Sharp]] doesn't have its main title changed)</nowiki>
 //
 // The function looks for a banner like this: <nowiki>
 // <div id="RealTitleBanner">    <!-- div that gets hidden -->
 //   <span id="RealTitle">title</span>
 // </div>
 // </nowiki>An element with id=DisableRealTitle disables the function.
 var disableRealTitle = 0;		// users can disable this by making this true from their monobook.js
 if (wgIsArticle) {			// don't display the RealTitle when editing, since it is apparently inconsistent (doesn't show when editing sections, doesn't show when not previewing)
     addOnloadHook(function() {
 	try {
 		var realTitleBanner = document.getElementById("RealTitleBanner");
 		if (realTitleBanner && !document.getElementById("DisableRealTitle") && !disableRealTitle) {
 			var realTitle = document.getElementById("RealTitle");
 			if (realTitle) {
 				var realTitleHTML = realTitle.innerHTML;
 				realTitleText = pickUpText(realTitle);
 
 				var isPasteable = 0;
 				//var containsHTML = /</.test(realTitleHTML);	// contains ANY HTML
 				var containsTooMuchHTML = /</.test( realTitleHTML.replace(/<\/?(sub|sup|small|big)>/gi, "") ); // contains HTML that will be ignored when cut-n-pasted as a wikilink
 				// calculate whether the title is pasteable
 				var verifyTitle = realTitleText.replace(/^ +/, "");		// trim left spaces
 				verifyTitle = verifyTitle.charAt(0).toUpperCase() + verifyTitle.substring(1, verifyTitle.length);	// uppercase first character
 
 				// if the namespace prefix is there, remove it on our verification copy.  If it isn't there, add it to the original realValue copy.
 				if (wgNamespaceNumber != 0) {
 					if (wgCanonicalNamespace == verifyTitle.substr(0, wgCanonicalNamespace.length).replace(/ /g, "_") && verifyTitle.charAt(wgCanonicalNamespace.length) == ":") {
 						verifyTitle = verifyTitle.substr(wgCanonicalNamespace.length + 1);
 					} else {
 						realTitleText = wgCanonicalNamespace.replace(/_/g, " ") + ":" + realTitleText;
 						realTitleHTML = wgCanonicalNamespace.replace(/_/g, " ") + ":" + realTitleHTML;
 					}
 				}
 
 				// verify whether wgTitle matches
 				verifyTitle = verifyTitle.replace(/^ +/, "").replace(/ +$/, "");		// trim left and right spaces
 				verifyTitle = verifyTitle.replace(/_/g, " ");		// underscores to spaces
 				verifyTitle = verifyTitle.charAt(0).toUpperCase() + verifyTitle.substring(1, verifyTitle.length);	// uppercase first character
 				isPasteable = (verifyTitle == wgTitle);
 
 				var h1 = document.getElementsByTagName("h1")[0];
 				if (h1 && isPasteable) {
 					h1.innerHTML = containsTooMuchHTML ? realTitleText : realTitleHTML;
 					if (!containsTooMuchHTML)
 						realTitleBanner.style.display = "none";
 				}
 				document.title = realTitleText + " - Wikipedia, the free encyclopedia";
 			}
 		}
 	} catch (e) {
 		/* Something went wrong. */
 	}
     });
 }
 
 
 // similar to innerHTML, but only returns the text portions of the insides, excludes HTML
 function pickUpText(aParentElement) {
   var str = "";
 
   function pickUpTextInternal(aElement) {
     var child = aElement.firstChild;
     while (child) {
       if (child.nodeType == 1)		// ELEMENT_NODE 
         pickUpTextInternal(child);
       else if (child.nodeType == 3)	// TEXT_NODE
         str += child.nodeValue;
 
       child = child.nextSibling;
     }
   }
 
   pickUpTextInternal(aParentElement);
 
   return str;
 }


 /** Interwiki links to featured articles ***************************************
 *
 *  Description: Highlights interwiki links to featured articles (or
 *               equivalents) by changing the bullet before the interwiki link
 *               into a star.
 *  Maintainers: User:R. Koot
 */
 function LinkFA() 
 {
    if ( document.getElementById( "p-lang" ) ) {
        var InterwikiLinks = document.getElementById( "p-lang" ).getElementsByTagName( "li" );
        for ( var i = 0; i < InterwikiLinks.length; i++ ) {
            if ( document.getElementById( InterwikiLinks[i].className + "-fa" ) ) {
                InterwikiLinks[i].className += " FA"
                InterwikiLinks[i].title = "Este é un artigo destacado noutra lingua.";
            }
        }
    }
 }
 addOnloadHook( LinkFA );

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/*
<pre>
*/
/* pistas e teclas de acceso */
ta = new Object();
ta['pt-userpage'] = new Array('.','A miña páxina de usuario');
ta['pt-anonuserpage'] = new Array('.','A páxina de usuario para a IP desde a que está editando');
ta['pt-mytalk'] = new Array('n','A miña páxina de discusión');
ta['pt-anontalk'] = new Array('n','A discusión acerca das edicións feitas desde este enderezo IP');
ta['pt-preferences'] = new Array('','As miñas preferencias');
ta['pt-watchlist'] = new Array('l','A lista de páxinas que está a vixiar para ver os seus cambios.');
ta['pt-mycontris'] = new Array('y','A lista das miñas contribucións');
ta['pt-login'] = new Array('o','Sería bo que entrase no sistema, porén non é obrigatorio.');
ta['pt-anonlogin'] = new Array('o','Sería bo que entrase no sistema, porén non é obrigatorio.');
ta['pt-logout'] = new Array('o','Saír do sistema');
ta['ca-talk'] = new Array('t','Discusión acerca da páxina de contido');
ta['ca-edit'] = new Array('e','Pode editar esta páxina. Por favor use o botón de vista previa antes de gravar.');
ta['ca-addsection'] = new Array('+','Engadir un comentario a esta discusión.');
ta['ca-viewsource'] = new Array('e','Esta páxina está protexida. Pode ver a súa fonte.');
ta['ca-history'] = new Array('h','As versións pasadas desta páxina.');
ta['ca-protect'] = new Array('=','Protexer esta páxina');
ta['ca-delete'] = new Array('d','Borrar esta páxina');
ta['ca-undelete'] = new Array('d','Restaurar as edicións feitas a esta páxina antes de ser borrada');
ta['ca-move'] = new Array('m','Mover esta páxina');
ta['ca-nomove'] = new Array('','Non ten permisos para mover esta páxina');
ta['ca-watch'] = new Array('w','Engadir esta páxina á súa lista de vixilancia');
ta['ca-unwatch'] = new Array('w','Quitar esta páxina da súa lista de vixilancia');
ta['search'] = new Array('f','Procurar este wiki');
ta['p-logo'] = new Array('','Páxina Principal');
ta['n-mainpage'] = new Array('z','Visitar a Páxina Principal');
ta['n-portal'] = new Array('','Acerca do proxecto, qué pode facer, onde dar atopado cousas');
ta['n-currentevents'] = new Array('','Dar atopado información sobre os eventos actuais');
ta['n-recentchanges'] = new Array('r','A lista de cambios recentes no wiki');
ta['n-randompage'] = new Array('x','Cargar unha páxina ao chou');
ta['n-help'] = new Array('','O lugar para dar atopado axuda.');
ta['n-sitesupport'] = new Array('','Bótenos unha man');
ta['t-whatlinkshere'] = new Array('j','Lista de todas as páxinas wiki que ligan cara a aquí');
ta['t-recentchangeslinked'] = new Array('k','Cambios recentes nas páxinas que son ligadas desde esta');
ta['feed-rss'] = new Array('','Alimentador RSS para esta páxina');
ta['feed-atom'] = new Array('','Alimentador Atom para esta páxina');
ta['t-contributions'] = new Array('','Ver a lista de contribucións deste usuario');
ta['t-emailuser'] = new Array('','Enviar un correo-e a este usuario');
ta['t-upload'] = new Array('u','Cargar ficheiros de imaxes ou sons');
ta['t-specialpages'] = new Array('q','Listar todas as páxinas especiais');
ta['ca-nstab-main'] = new Array('c','Ver a páxina de contido');
ta['ca-nstab-user'] = new Array('c','Ver a páxina de usuario');
ta['ca-nstab-media'] = new Array('c','View the media page');
ta['ca-nstab-special'] = new Array('','This is a special page, you can\'t edit the page itself.');
ta['ca-nstab-wp'] = new Array('a','Ver a páxina do proxecto');
ta['ca-nstab-image'] = new Array('c','Ver a páxina de imaxes');
ta['ca-nstab-mediawiki'] = new Array('c','Ver a mensaxe do sistema');
ta['ca-nstab-template'] = new Array('c','Ver o modelo');
ta['ca-nstab-help'] = new Array('c','Ver a páxina de axuda');
ta['ca-nstab-category'] = new Array('c','Ver a páxina de categoría');

/*
</pre>
*/

 // ==========================================================================
 // BEGIN: MediaWiki interface button strings definition for additional tabs
 // for embeding Duesentrieb's image tools.
 // The complete script which gets called here is located at MediaWiki:Extra-tabs.js

 // Interface strings, get defined in the localised Mediawiki:Monobook.js/<ISO-Code>
 var tab_check_usage = 'comprobar uso';
 var tab_categorize = 'cat commons';
 var tab_log = 'log';
 var tab_gallery = 'galería';
 var tab_orphans = 'orfas';
 var tab_untagged = 'sen marcar';
 var tab_tree = 'árbore cat';
 var tab_catscan = 'revisar cat';
 var tab_blocklog = 'log bloqueos';

 // embeds the global script
 document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Extra-tabs.js&amp;action=raw&amp;ctype=text/javascript"><\/script>');

 // END: MediaWiki interface button definition for Duesentrieb's image tools.
 // ========================================================================

 // embedds edit tools drop down menu
 document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Edittools.js&amp;action=raw&amp;ctype=text/javascript"><\/script>');

 /* Bottom of Javascript </nowiki></pre> */